Update company profile
curl --request PATCH \
--url https://dashboard.ondial.ai/api/v1/companies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"mobile": "<string>",
"countryCode": "<string>",
"countryIso": "<string>",
"description": "<string>",
"industry": "<string>",
"website": "<string>",
"businessHours": {},
"timezone": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
mobile: '<string>',
countryCode: '<string>',
countryIso: '<string>',
description: '<string>',
industry: '<string>',
website: '<string>',
businessHours: {},
timezone: '<string>'
})
};
fetch('https://dashboard.ondial.ai/api/v1/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dashboard.ondial.ai/api/v1/companies/{id}"
payload = {
"name": "<string>",
"mobile": "<string>",
"countryCode": "<string>",
"countryIso": "<string>",
"description": "<string>",
"industry": "<string>",
"website": "<string>",
"businessHours": {},
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"company": {
"id": "<string>",
"name": "<string>",
"mobile": "<string>",
"countryCode": "<string>",
"countryIso": "<string>",
"description": "<string>",
"industry": "<string>",
"website": "<string>",
"businessHours": {},
"timezone": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "Invalid or inactive API key",
"reasonCode": "unauthorized"
}{
"error": "<string>",
"reasonCode": "<string>",
"missing": [
"<string>"
]
}Update company
Partial update of a company profile (requires companies:write scope).
PATCH
/
api
/
v1
/
companies
/
{id}
Update company profile
curl --request PATCH \
--url https://dashboard.ondial.ai/api/v1/companies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"mobile": "<string>",
"countryCode": "<string>",
"countryIso": "<string>",
"description": "<string>",
"industry": "<string>",
"website": "<string>",
"businessHours": {},
"timezone": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
mobile: '<string>',
countryCode: '<string>',
countryIso: '<string>',
description: '<string>',
industry: '<string>',
website: '<string>',
businessHours: {},
timezone: '<string>'
})
};
fetch('https://dashboard.ondial.ai/api/v1/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dashboard.ondial.ai/api/v1/companies/{id}"
payload = {
"name": "<string>",
"mobile": "<string>",
"countryCode": "<string>",
"countryIso": "<string>",
"description": "<string>",
"industry": "<string>",
"website": "<string>",
"businessHours": {},
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"company": {
"id": "<string>",
"name": "<string>",
"mobile": "<string>",
"countryCode": "<string>",
"countryIso": "<string>",
"description": "<string>",
"industry": "<string>",
"website": "<string>",
"businessHours": {},
"timezone": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "Invalid or inactive API key",
"reasonCode": "unauthorized"
}{
"error": "<string>",
"reasonCode": "<string>",
"missing": [
"<string>"
]
}Send only fields you want to change. Credential fields (
omniChannelSettings) cannot be set via this API.Authorizations
Paste only your API key (ond_live_… or ond_test_…). Do not type the word Bearer — the playground adds it.
Path Parameters
Body
application/json
Response
Updated
Hide child attributes
Hide child attributes

